Subject: [TR] TR3 MC Reservoir Cap

From: William Brewer <[email-masked]>
Date: Sun, 10 Nov 2013 07:26:01 -0800 (PST)

My TR3 master cylinder reservoir cap has always been pretty knackered. It
looks like Vise-grips have always been used to open it. I have looked at the
big 3 for replacement caps. Moss offers a plastic cap replacement .
     I was
looking on Australian Ebay for Triumph Renown parts (mechanically similar to
Standard Vanguard series 1 parts...) and ran across new caps for reasonable
prices. I ordered one and it is the exact replacement.
http://www.ebay.com.au/itm/CLUTCH-MASTER-CYLINDER-FILLER-CAP-STANDARD-VANGUAR
D-6-ENSIGN-/331051534715?pt=UK_CarsParts_Vehicles_CarParts_SM&hash=item4d1435
897b&_uhb=1

     Bill Brewer
     Tehachapi, CA

** [email-masked] **

Archive: http://www.team.net/archive